preline(1)

NAME
preline - prepend lines to message

SYNOPSIS
in .qmailext: | preline command

DESCRIPTION
preline feeds each incoming mail message through command. At the top of each message it inserts a UUCP-style From_ line, a Return-Path line, and a Delivered-To line. preline is useful for procmail and ELM's filter, which do not understand the qmail-command environment variables.

OPTIONS

-d  Do not include the Delivered-To line. You should use this option when the recipient of the incoming mail message is actually under remote control, but was sent here through control/virtualdomains for manual routing.

-f  Do not include the From_ line. You should use this option except for commands that create mbox files.

-r  Do not include the Return-Path line.

SEE ALSO
mbox(5), qmail-command(8)